@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:wght@300&family=Raleway:wght@500&display=swap');

html{
    scroll-behavior: smooth;

}
html::-webkit-scrollbar{
    width: 20px;
    height: 10px;}
    html::-webkit-scrollbar-track{
    background:rgb(0, 0, 0);
    }
html::-webkit-scrollbar-thumb{
    background:#626262;
    }
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
/* body{
    background: linear-gradient(90deg, #310000, #000654);
} */
.backgroundimage{
    width: 100vw;
    height: 100vh;
    object-fit: cover;
    position: absolute;
    z-index: -1;
    position: fixed;
}
.longarrow{
    position: absolute;
    top: 126px;
    left: 30px;
    height: 40vw;
    width: 60px;
}
.cardscontainer{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
    font-family: 'Raleway', sans-serif;
}
.topp{
    color: white;
    position: absolute;
    top: 0px;
}
.card1{
    width: 80vw;
    /* height: 40vw; */
    /* box-shadow: 10px 10px 200px black; */
    backdrop-filter: blur(20px);
    background: linear-gradient(90deg white, rgba(255, 255, 255, 0));
    border-radius: 16px;
    margin: 50px 0px 10px 140px;
    padding: 40px;
    overflow: hidden;
    
}
.hi{
    font-size: 42px;
    font-weight: 200;
    color: rgb(0, 0, 0);
}
.imagani{
    font-size: 92px;
    font-weight: bold;
    cursor: pointer;
    text-decoration: none;
    background: linear-gradient(90deg, #ff0000, #9c83ff);
    -webkit-text-fill-color: transparent;
    -webkit-background-clip: text;
}
.gd{
    font-size: 52px;
    font-weight: 200;   
    color: black;
}


.contact{
    text-decoration: none;
    background: black;
    color: white;
    width: 300px;
    margin: 30px 0 10px 0;
    padding: 18px 0 18px 46px;
    border: 0;
    border-radius: 50px;
    font-size: 24px;
    text-align: left;
    cursor: pointer;
}
.contact:hover{
    background-color:rgb(20, 20, 20);
    transform: scale(0.99);
    transition: 0.6s ease-in-out;
}
.contacticon{
    width: 40px;
    position: relative;
    top: 12px;
    left: 26px;
}
.contacticon1{
    width: 16px;
    position: relative;
    left: 26px;
}
.desc{
    padding: 10px;
}
.description{
    font-size: 29px;
    line-height: 40px;
    color: black;
}
.movingtext{
    padding: 10px;
    font-size: 32px;
    font-weight: bold;
    color: #ff0000;
    margin: 20px 0 10px 0;
    cursor: pointer;
}
.movingtext:hover{
    transform: scale(0.986);
    transition: transform 0.2s;
}
.discussicon{
    width: 30px;
    position: relative;
    top: 6px;
}
.services{
    margin: 60px 0 0 10px;
    font-size: 60px;
}
.features{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: wrap;
    overflow: hidden;
    gap: 10px;
    padding: 10px 0px 10px 10px;
    margin: 10px 0 0 0;

}
.featuresheader{
    color: rgb(0, 0, 0);
    font-size: 40px;
    cursor: pointer;
}
.featuresheader:hover{
    background: linear-gradient(90deg, #ff0000, #9c83ff);
    -webkit-text-fill-color: transparent;
    -webkit-background-clip: text;
    transition: 0.6s ease-out;
}
.prevv{
    width: 30px;
}
.carousel-button{
    display: none;
}
.card2{
    width: 80vw;
    height: auto;
    backdrop-filter: blur(20px);
    border-radius: 16px;
    margin: 20px 0px 20px 140px;
    padding: 40px;
    overflow: hidden;
    
}
.logos{
    font-size: 69px;
    margin: 0 0 16px 66px;
    color: rgb(0, 0, 0);
}
.slides{
    list-style:none;
    padding: 0;
    margin: 0;
}
.slide{
    position: absolute;
    inset: 0;
    opacity: 0;
    transition: 200ms opacity ease-in-out;
    transition-delay: 200ms;
}
.slide[data-active]{
    opacity: 1;
    transition-delay: 0ms;
}
.carousel-button{
    display: block;
    position: absolute;
    z-index: 2;
    background: none;
    border: none;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, .4);
    border-radius: 100px;
    padding: 12px 10px 12px 10px;
    cursor: pointer;
}
.carousel-button.prev{
    left: 1rem;
}
.carousel-button.next{
    left: 67rem;
}
.prevv{
    width: 30px;
}
.logos{
    font-size: 26px;
    margin: 0 0 15px 0;
}
.gallery{
    display: block;
    width: 700px;
    height: 700px;
    position: relative;
    margin: 0;
    margin: auto;

}
/* .gallery{
    width: 100%;
    padding: 20px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    overflow: hidden;
    margin: 0 0 0 50px;
} */
.carousel-button{
    display: block;
    position: absolute;
    z-index: 2;
    background: none;
    border: none;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, .4);
    border-radius: 100px;
    padding: 12px 10px 12px 10px;
    cursor: pointer;
}
.carousel-button.prev{
    left: 1rem;
}
.carousel-button.next{
    left: 36rem;
}
.images{
    width: 90%;
    border-radius: 8px;
}
.images:hover{
    scale: 1.04;
    transition: 0.4s ease;
}
.reach{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 0 66px 0 66px; 
    margin: 0 0 20px 0;
}
.phone{
    text-decoration: none;
    border: none;
    background-color: #000000;
    color: rgb(255, 255, 255);
    font-family:"Century Gothic";
    font-weight: bold;
    width: 360px;
    margin: 30px 0 10px 0;
    padding: 6px 0 13px 46px;
    border: 0;
    border-radius: 50px;
    font-size: 24px;
    cursor: pointer;
}
.phone:hover{
    background-color: rgb(20, 20, 20);
    transition: 0.2s ease;
}
.phoneicon{
    width: 30px;
    position: relative;
    top: 7px;
    right: 40px;
}
.mailicon{
    width: 30px;
    position: relative;
    top: 7px;
    right: 40px;
}
.icons{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 360px;
    height: 56px;
    padding: 10px 10px 0px 10px;
    margin: 30px 0 0 0;
    border-radius: 100px;
}
.redirecticons{
    width: 36px;
    position: relative;
    top: 2px;

}
.backtotop{
    text-decoration: none;
    color: black;
    font-weight: light;
    font-size: 20px;
    margin: 100px 0 0 460px;
}

@media (max-width: 500px) {
    
    .card1{
        width: 94vw;
        height: auto;
        margin: 20px 10px 10px 10px;
        padding: 20px;
    }
    .longarrow{
        display: none;
    }
    .hi{
        font-size: 16px;
    }
    .imagani{
        font-size: 46px;
        margin: 6px 0 6px 0;
    }
    .gd{
        font-size: 18px;
    }
    
    .contact{
        width: 100%;
        height: auto;
        position: relative;
        right: 3px;
        font-size: 20px;
        padding: 12px 6px 12px 60px;
        margin: 30px 0 10px 0;
        text-align: left;
        }
    .contacticon{
        width: auto;
        height: 30px;
        margin: 36px 0 23px 0;
        position: relative;
        top: 9px;
        left: 40px;

    }
    .contacticon1{
        width: 16px;
        position: relative;
        left: 60px; 
    }
    .desc{
        padding: 5px;
        margin: 20px 0 0 0;
        height: 100px;
        overflow: hidden;
        overflow-y: auto;
    }
    .desc::-webkit-scrollbar{
        width: 20px;
        height: 10px;}
        html::-webkit-scrollbar-track{
        background:rgb(255, 255, 255);
        }
    .desc::-webkit-scrollbar-thumb{
        background:#62626200;
        }
    .description{
        font-size: 14px;
        line-height: 24px;    }
    .services{
        margin: 10px 0 0 0;
        font-size: 42px;
    }
    .features{
        padding: 10px 0 10px 0;
        margin-top: 0px;
    }
    .featuresheader{
        font-size: 16px;
        font-weight: 100;
    }
    .movingtext{
        font-size: 26px;
    }
    .card2{
        width: 94vw;
        height: auto;
        margin: 4px 10px 10px 10px;
        padding: 20px;

    }
    ul{
        list-style: none;
        padding: 0;
        margin: 0;
    }
    .slide{
        position: absolute;
        inset: 0;
        opacity: 0;
        transition: 200ms opacity ease-in-out;
        transition-delay: 200ms;
    }
    .slide[data-active]{
        opacity: 1;
        transition-delay: 0ms;
    }
    .carousel-button{
        display: block;
        position: absolute;
        z-index: 2;
        background: none;
        border: none;
        top: 50%;
        transform: translateY(-50%);
        background-color: rgba(255, 255, 255, 0.4);
        border-radius: 100px;
        padding: 12px 10px 12px 10px;
        cursor: pointer;
    }
    .carousel-button:hover,
.carousel-button:focus{
    background-color: rgba(255, 255, 255, 0.7);
    outline: none;

}
    .carousel-button.prev{
        left: 1rem;
    }
    .carousel-button.next{
        left: 16rem;
    }
    .logos{
        font-size: 26px;
        margin: 0 0 15px 0;
    }
    .gallery{
        display: block;
        width: 94vw;
        height: 94vw;
        position: relative;
        margin: 0;

    }
    

    .prevv{
    display: block;
    width: 20px;
            }
    .images{
        display: block;
        width: 90%;
        border-radius: 8px;
        margin: 0 0 20px 0;
    }
    .reach{
        flex-direction: column;
        padding: 0px;
    }
    .phone{
        width: 82vw;
        text-align: left;
        font-size: 18px;
        margin-top: 16px;
    }
    .phoneicon{
        width: 22px;
        position: relative;
        top: 7px;
        right: 30px;
    }
    .mailicon{
        width: 22px;
        position: relative;
        top: 7px;
        right: 20px;
    }
    .icons{
        width: 82vw;
        height: auto;
        margin: 19px 0 0 0;
        padding: 0 10px 0 10px;
    }
    .redirecticons{
        width: 30px;
    }
    .backtotop{
        margin-left: 24vw;
        font-size: 14px;
        color: rgba(0, 0, 0, 0.445);
    }
}



